Endpoint
Authentication
Required.Path parameters
string
required
The web source ID.
Request body
array
required
Updated list of discovered URLs. Each item must have a
url field.Response
boolean
object
The updated web source object.
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Update a web source’s discovered URLs.
PATCH /web-sources/{id}
url field.curl -X PATCH https://api.mind-e.co/web-sources/ws-id-here \
-H "Authorization: Bearer sk_live_your_key_here" \
-H "Content-Type: application/json" \
-d '{
"discoveredUrls": [
{ "url": "https://example.com/page-1" },
{ "url": "https://example.com/page-2" }
]
}'